#pragma once

#include "kpi.h"

struct kbwsr_Settings
{
    int nEmulationCore;
    int nChannnelMuting;
    int nSampleRate[3];//EmulationCoreごとに設定
    double dVolume[3]; //EmulationCoreごとに設定
};

BOOL  __fastcall kbwsr_EnumConfig(IKpiConfigEnumerator *pEnumerator);
DWORD __fastcall kbwsr_ApplyConfig(IKpiConfig *pConfig,
                               const wchar_t *cszSection,//セクション名
                               const wchar_t *cszKey,    //キー名
                               INT64  nValue, //変更後の値(BOOL/INT の場合)
                               double dValue, //変更後の値(FLOAT の場合)
                               const wchar_t *cszValue);////変更後の値(文字列)
void __fastcall kbwsr_GetSettings(IKpiConfig *pConfig, kbwsr_Settings *pSettings);
void __fastcall kbwsr_GetCorePath(IKpiConfig *pConfig, wchar_t *pszPath, int nSize);
void __fastcall kbwsr_GetCoreName(IKpiConfig *pConfig, wchar_t *pszName, int nSize);
